Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaElement

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaParticle
                  org.apache.ws.commons.schema.XmlSchemaElement

All Implemented Interfaces:
  TypeReceiver

    public class XmlSchemaElement

extends XmlSchemaParticle
implements TypeReceiver

Class for elements. Represents the World Wide Web Consortium (W3C) element element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaElement()` Creates new XmlSchemaElement

Method Summary
`XmlSchemaDerivationMethod` | `getBlock()`
`XmlSchemaDerivationMethod` | `getBlockResolved()`
`XmlSchemaObjectCollection` | `getConstraints()` Returns a collection of constraints on the element.
`java.lang.String` | `getDefaultValue()`
`java.lang.Object` | `getElementType()`
`XmlSchemaDerivationMethod` | `getFinal()`
`java.lang.String` | `getFixedValue()`
`XmlSchemaForm` | `getForm()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getQName()`
`javax.xml.namespace.QName` | `getRefName()`
`XmlSchemaType` | `getSchemaType()`
`javax.xml.namespace.QName` | `getSchemaTypeName()`
`javax.xml.namespace.QName` | `getSubstitutionGroup()`
`boolean` | `isAbstract()`
`boolean` | `isNillable()`
`void` | `setAbstract(boolean isAbstract)`
`void` | `setBlock(XmlSchemaDerivationMethod block)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setFinal(XmlSchemaDerivationMethod finalDerivation)`
`void` | `setFixedValue(java.lang.String fixedValue)`
`void` | `setForm(XmlSchemaForm form)`
`void` | `setName(java.lang.String name)`
`void` | `setNillable(boolean isNillable)`
`void` | `setQName(javax.xml.namespace.QName qualifiedName)`
`void` | `setRefName(javax.xml.namespace.QName refName)`
`void` | `setSchemaType(XmlSchemaType schemaType)`
`void` | `setSchemaTypeName(javax.xml.namespace.QName schemaTypeName)`
`void` | `setSubstitutionGroup(javax.xml.namespace.QName substitutionGroup)`
`void` | `setType(XmlSchemaType type)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaParticle
`getMaxOccurs, getMinOccurs, setMaxOccurs, setMinOccurs`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaElement

    public XmlSchemaElement()

  Creates new XmlSchemaElement

Method Detail

### getConstraints

    public XmlSchemaObjectCollection getConstraints()

  Returns a collection of constraints on the element.

### getDefaultValue

    public java.lang.String getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getBlock

    public XmlSchemaDerivationMethod getBlock()

### setBlock

    public void setBlock(XmlSchemaDerivationMethod block)

### getFinal

    public XmlSchemaDerivationMethod getFinal()

### setFinal

    public void setFinal(XmlSchemaDerivationMethod finalDerivation)

### getBlockResolved

    public XmlSchemaDerivationMethod getBlockResolved()

### getFixedValue

    public java.lang.String getFixedValue()

### setFixedValue

    public void setFixedValue(java.lang.String fixedValue)

### getElementType

    public java.lang.Object getElementType()

### getForm

    public XmlSchemaForm getForm()

### setForm

    public void setForm(XmlSchemaForm form)

### isAbstract

    public boolean isAbstract()

### setAbstract

    public void setAbstract(boolean isAbstract)

### isNillable

    public boolean isNillable()

### setNillable

    public void setNillable(boolean isNillable)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRefName

    public javax.xml.namespace.QName getRefName()

### setRefName

    public void setRefName(javax.xml.namespace.QName refName)

### getQName

    public javax.xml.namespace.QName getQName()

### setQName

    public void setQName(javax.xml.namespace.QName qualifiedName)

### getSchemaType

    public XmlSchemaType getSchemaType()

### setSchemaType

    public void setSchemaType(XmlSchemaType schemaType)

### getSchemaTypeName

    public javax.xml.namespace.QName getSchemaTypeName()

### setSchemaTypeName

    public void setSchemaTypeName(javax.xml.namespace.QName schemaTypeName)

### getSubstitutionGroup

    public javax.xml.namespace.QName getSubstitutionGroup()

### setSubstitutionGroup

    public void setSubstitutionGroup(javax.xml.namespace.QName substitutionGroup)

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

### setType

    public void setType(XmlSchemaType type)

  Specified by:
    `setType` in interface `TypeReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.